[Params]
  _merge = "shallow"

[[Params.socials]]
  name = "X"
  icon = "fa-brands fa-x-twitter"
  url = "https://x.com/EclipseFdn"

[[Params.socials]]
  name = "Bluesky"
  icon = "fa-brands fa-bluesky"
  url = "https://bsky.app/profile/eclipsefdn.bsky.social"

[[Params.socials]]
  name = "Facebook"
  icon = "fa-brands fa-facebook-f"
  url = "https://www.facebook.com/eclipse.org"

[[Params.socials]]
  name = "YouTube"
  icon = "fa-brands fa-youtube"
  url = "https://www.youtube.com/user/EclipseFdn"

[[Params.socials]]
  name = "LinkedIn"
  icon = "fa-brands fa-linkedin-in"
  url = "https://www.linkedin.com/company/eclipse-foundation"

[Params.author]
  name = "Eclipse Foundation"
  website = "https://www.eclipse.org"
  email = "webdev@eclipse-foundation.org"
  facebook = "eclipse.org"
  twitter = "eclipsefdn"
  youtube = "EclipseFdn"
  googleplus = "+Eclipse"
  linkedin = "company/eclipse-foundation/"
  bluesky = "eclipsefdn.bsky.social"

# This is the default menus configuration for all websites consuming the theme.
# It will be discarded if menus.main is defined at the site-level.

[menus]
  _merge = "shallow"

# Astro Menu

[[menus.astro]]
  name = "Projects"
  weight = 1
  identifier = "projects"
  [menus.astro.params]
    description = """
      The Eclipse Foundation is home to the Eclipse IDE, Jakarta EE, and
      hundreds of open source projects, including runtimes, tools,
      specifications, and frameworks for cloud and edge applications, IoT, AI,
      automotive, systems engineering, open processor designs, and many others.
    """


[[menus.astro]]
  name = "Technologies"
  weight = 1
  identifier = "projects-technologies"
  parent = "projects"

[[menus.astro]]
  name = "Developer Tools & IDEs"
  url = "https://www.eclipse.org/topics/ide/"
  weight = 1
  parent = "projects-technologies"

[[menus.astro]]
  name = "Cloud Native"
  url = "https://www.eclipse.org/topics/cloud-native/"
  weight = 2
  parent = "projects-technologies"

[[menus.astro]]
  name = "Edge & IoT"
  url = "https://www.eclipse.org/topics/edge-and-iot/"
  weight = 3
  parent = "projects-technologies"

[[menus.astro]]
  name = "Automotive & Mobility"
  url = "https://www.eclipse.org/topics/automotive-and-mobility/"
  weight = 4
  parent = "projects-technologies"

[[menus.astro]]
  name = "Projects"
  weight = 2
  identifier = "projects-projects"
  parent = "projects"

[[menus.astro]]
  name = "Project Finder"
  url = "https://projects.eclipse.org/"
  weight = 1
  parent = "projects-projects"

[[menus.astro]]
  name = "Project Activity"
  url = "https://www.eclipse.org/projects/project_activity.php"
  weight = 2
  parent = "projects-projects"

[[menus.astro]]
  name = "Project Resources"
  url = "https://www.eclipse.org/projects/resources/"
  weight = 3
  parent = "projects-projects"

[[menus.astro]]
  name = "Specifications"
  url = "https://www.eclipse.org/specifications/"
  weight = 4
  parent = "projects-projects"

[[menus.astro]]
  name = "Contribute"
  url = "https://www.eclipse.org/contribute/"
  weight = 5
  parent = "projects-projects"

[[menus.astro]]
  name = "Supporters"
  weight = 2
  identifier = "supporters"
  [menus.astro.params]
    description = """
      The Eclipse Foundation is an international non-profit association
      supported by our members, including industry leaders who value open
      source as a key enabler for their business strategies.
    """

[[menus.astro]]
  name = "Membership"
  weight = 1
  identifier = "supporters-membership"
  parent = "supporters"

[[menus.astro]]
  name = "Our Members"
  url = "https://www.eclipse.org/membership/explore-membership/"
  weight = 1
  parent = "supporters-membership"

[[menus.astro]]
  name = "Member Benefits"
  url = "https://www.eclipse.org/membership/"
  weight = 2
  parent = "supporters-membership"

[[menus.astro]]
  name = "Membership Levels & Fees"
  url = "https://www.eclipse.org/membership/#tab-levels"
  weight = 3
  parent = "supporters-membership"

[[menus.astro]]
  name = "Membership Application"
  url = "https://www.eclipse.org/membership/#tab-membership"
  weight = 4
  parent = "supporters-membership"

[[menus.astro]]
  name = "Member Resources"
  url = "https://www.eclipse.org/membership/#tab-resources"
  weight = 5
  parent = "supporters-membership"

[[menus.astro]]
  name = "Member Portal"
  url = "https://membership.eclipse.org/portal"
  weight = 6
  parent = "supporters-membership"

[[menus.astro]]
  name = "Sponsorship"
  weight = 1
  identifier = "supporters-sponsorship"
  parent = "supporters"

[[menus.astro]]
  name = "Sponsor"
  url = "https://www.eclipse.org/sponsor/"
  weight = 1
  parent = "supporters-sponsorship"

[[menus.astro]]
  name = "Corporate Sponsorship"
  url = "https://www.eclipse.org/org/corporate-sponsors/"
  weight = 2
  parent = "supporters-sponsorship"

[[menus.astro]]
  name = "Sponsor a Collaboration"
  url = "https://www.eclipse.org/sponsor/collaboration/"
  weight = 3
  parent = "supporters-sponsorship"

[[menus.astro]]
  name = "Collaborations"
  weight = 3
  identifier = "collaborations"
  [menus.astro.params]
    description = """
      Whether you intend on contributing to Eclipse technologies that are
      important to your product strategy, or simply want to explore a specific
      innovation area with like-minded organisations, the Eclipse Foundation is
      the open source home for industry collaboration.
    """

[[menus.astro]]
  name = "Industry Collaborations"
  weight = 1
  parent = "collaborations"
  identifier = "collaborations-industry-collaborations"

[[menus.astro]]
  name = "About Industry Collaborations"
  url = "https://www.eclipse.org/collaborations/"
  weight = 1
  parent = "collaborations-industry-collaborations"

[[menus.astro]]
  name = "Current Collaborations"
  url = "https://www.eclipse.org/org/workinggroups/explore.php"
  weight = 2
  parent = "collaborations-industry-collaborations"

[[menus.astro]]
  name = "About Working Groups"
  url = "https://www.eclipse.org/org/workinggroups/about.php"
  weight = 3
  parent = "collaborations-industry-collaborations"

[[menus.astro]]
  name = "About Interest Groups"
  url = "https://www.eclipse.org/collaborations/interest-groups/"
  weight = 4
  parent = "collaborations-industry-collaborations"

[[menus.astro]]
  name = "Research Collaborations"
  identifier = "collaborations-research-collaborations"
  weight = 2
  parent = "collaborations"

[[menus.astro]]
  name = "Research @ Eclipse"
  url = "https://www.eclipse.org/research/"
  weight = 1
  parent="collaborations-research-collaborations"

[[menus.astro]]
  name = "Resources"
  weight = 4
  identifier = "resources"
  [menus.astro.params]
    description = """
      The Eclipse community consists of individual developers and organisations
      spanning many industries. Stay up to date on our open source community
      and find resources to support your journey.
    """

[[menus.astro]]
  name = "Open Source for Business"
  weight = 1
  parent = "resources"
  identifier = "resources-open-source"

[[menus.astro]]
  name = "Business Value of Open Source"
  url = "https://www.eclipse.org/org/value/"
  weight = 1
  parent = "resources-open-source"

[[menus.astro]]
  name = "Open Source Program Offices"
  url = "https://www.eclipse.org/os4biz/ospo/"
  weight = 2
  parent = "resources-open-source"

[[menus.astro]]
  name = "What's Happening"
  weight = 2
  parent = "resources"
  identifier = "resources-happening"

[[menus.astro]]
  name = "News"
  url = "https://newsroom.eclipse.org/"
  weight = 1
  parent = "resources-happening"

[[menus.astro]]
  name = "Events"
  url = "https://events.eclipse.org/"
  weight = 2
  parent = "resources-happening"

[[menus.astro]]
  name = "Newsletter"
  url = "https://www.eclipse.org/community/eclipse_newsletter/"
  weight = 3
  parent = "resources-happening"

[[menus.astro]]
  name = "Press Releases"
  url = "https://newsroom.eclipse.org/news/press-releases"
  weight = 4
  parent = "resources-happening"

[[menus.astro]]
  name = "Awards & Recognition"
  url = "https://www.eclipse.org/org/foundation/eclipseawards/"
  weight = 5
  parent = "resources-happening"

[[menus.astro]]
  name = "Developer Resources"
  weight = 3
  parent = "resources"
  identifier = "resources-developer"

[[menus.astro]]
  name = "Forum"
  url = "https://eclipse.org/forums/"
  weight = 1
  parent = "resources-developer"

[[menus.astro]]
  name = "Mailing Lists"
  url = "https://accounts.eclipse.org/mailing-list"
  weight = 2
  parent = "resources-developer"

[[menus.astro]]
  name = "Blogs & Videos"
  url = "https://www.eclipse.org/blogs-and-videos/"
  weight = 3
  parent = "resources-developer"

[[menus.astro]]
  name = "Marketplaces"
  url = "https://www.eclipse.org/resources/marketplaces/"
  weight = 4
  parent = "resources-developer"

[[menus.astro]]
  name = "The Foundation"
  weight = 5
  identifier = "the-foundation"
  [menus.astro.params]
    description = """
      The Eclipse Foundation provides our global community of individuals and
      organisations with a mature, scalable, and vendor-neutral environment for
      open source software collaboration and innovation.
    """

[[menus.astro]]
  name = "About"
  weight = 1
  identifier = "the-foundation-about"
  parent = "the-foundation"

[[menus.astro]]
  name = "About the Eclipse Foundation"
  url = "https://www.eclipse.org/org/"
  weight = 1
  parent="the-foundation-about"

[[menus.astro]]
  name = "Board & Governance"
  url = "https://www.eclipse.org/org/governance/"
  weight = 2
  parent="the-foundation-about"

[[menus.astro]]
  name = "Staff"
  url = "https://www.eclipse.org/org/foundation/staff.php"
  weight = 3
  parent="the-foundation-about"

[[menus.astro]]
  name = "Services"
  url = "https://www.eclipse.org/org/services/"
  weight = 4
  parent="the-foundation-about"

[[menus.astro]]
  name = "Legal"
  weight = 2
  identifier = "the-foundation-legal"
  parent = "the-foundation"

[[menus.astro]]
  name = "Legal Policies"
  url = "https://www.eclipse.org/legal/"
  weight = 1
  parent="the-foundation-legal"

[[menus.astro]]
  name = "Privacy Policy"
  url = "https://www.eclipse.org/legal/privacy/"
  weight = 2
  parent="the-foundation-legal"

[[menus.astro]]
  name = "Terms of Use"
  url = "https://www.eclipse.org/legal/terms-of-use/"
  weight = 3
  parent="the-foundation-legal"

[[menus.astro]]
  name = "Compliance"
  url = "https://www.eclipse.org/legal/compliance/"
  weight = 4
  parent="the-foundation-legal"

[[menus.astro]]
  name = "Eclipse Public License"
  url = "https://www.eclipse.org/legal/epl-2.0/"
  weight = 5
  parent="the-foundation-legal"

[[menus.astro]]
  name = "More"
  weight = 3
  identifier = "the-foundation-more"
  parent = "the-foundation"

[[menus.astro]]
  name = "Press Releases "
  url = "https://newsroom.eclipse.org/news/press-releases"
  weight = 1
  parent="the-foundation-more"

[[menus.astro]]
  name = "Careers"
  url = "https://www.eclipse.org/careers/"
  weight = 2
  parent="the-foundation-more"

[[menus.astro]]
  name = "Logos & Artwork"
  url = "https://www.eclipse.org/org/artwork/"
  weight = 3
  parent="the-foundation-more"

[[menus.astro]]
  name = "Contact Us"
  url = "https://www.eclipse.org/org/foundation/contact.php"
  weight = 4
  parent="the-foundation-more"

# Quicksilver Menu

[[menus.quicksilver]]
  name = "Projects"
  url = "https://www.eclipse.org/projects/"
  weight = 1

[[menus.quicksilver]]
  name = "Working Groups"
  url = "https://www.eclipse.org/org/workinggroups/"
  weight = 2

[[menus.quicksilver]]
  name = "Members"
  url = "https://www.eclipse.org/membership/"
  weight = 2

